Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawablePointSize Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePointSize:
[legend]
Collaboration diagram for Magick::DrawablePointSize:
[legend]

## Public Member Functions
| DrawablePointSize (double pointSize_)
| ~DrawablePointSize (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | pointSize (double pointSize_)
double | pointSize (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1244 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawablePointSize()

Magick::DrawablePointSize::DrawablePointSize | ( | double | pointSize_ | ) |
| inline

Definition at line 1247 of file Drawable.h.

## ◆ ~DrawablePointSize()

Magick::DrawablePointSize::~DrawablePointSize | ( | void |  | ) |

Definition at line 907 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawablePointSize::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 915 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawablePointSize::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 911 of file Drawable.cpp.

## ◆ pointSize() [1/2]

void Magick::DrawablePointSize::pointSize | ( | double | pointSize_ | ) |
| inline

Definition at line 1259 of file Drawable.h.

## ◆ pointSize() [2/2]

double Magick::DrawablePointSize::pointSize | ( | void |  | ) | const
| inline

Definition at line 1263 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp